Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ForumTopic

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ForumTopic

Enclosing class:
  TdApi

public static final class TdApi.ForumTopic extends TdApi.Object
Describes a forum topic.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.DraftMessage`
`draftMessage`
A draft of a message in the topic; may be null if none.
`TdApi.ForumTopicInfo`
`info`
Basic information about the topic.
`boolean`
`isPinned`
True, if the topic is pinned in the topic list.
`TdApi.Message`
`lastMessage`
Last message in the topic; may be null if unknown.
`long`
`lastReadInboxMessageId`
Identifier of the last read incoming message.
`long`
`lastReadOutboxMessageId`
Identifier of the last read outgoing message.
`TdApi.ChatNotificationSettings`
`notificationSettings`
Notification settings for the topic.
`int`
`unreadCount`
Number of unread messages in the topic.
`int`
`unreadMentionCount`
Number of unread messages with a mention/reply in the topic.
`int`
`unreadReactionCount`
Number of messages with unread reactions in the topic.

## Constructor Summary

Constructors
Constructor
Description
`ForumTopic()`
Describes a forum topic.
`ForumTopic(TdApi.ForumTopicInfo info, TdApi.Message lastMessage, boolean isPinned, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, int unreadReactionCount, TdApi.ChatNotificationSettings notificationSettings, TdApi.DraftMessage draftMessage)`
Describes a forum topic.
`ForumTopic(DataInput input)`
Describes a forum topic.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### info

public TdApi.ForumTopicInfo info
Basic information about the topic.

### lastMessage

public TdApi.Message lastMessage
Last message in the topic; may be null if unknown.

### isPinned

public boolean isPinned
True, if the topic is pinned in the topic list.

### unreadCount

public int unreadCount
Number of unread messages in the topic.

### lastReadInboxMessageId

public long lastReadInboxMessageId
Identifier of the last read incoming message.

### lastReadOutboxMessageId

public long lastReadOutboxMessageId
Identifier of the last read outgoing message.

### unreadMentionCount

public int unreadMentionCount
Number of unread messages with a mention/reply in the topic.

### unreadReactionCount

public int unreadReactionCount
Number of messages with unread reactions in the topic.

### notificationSettings

public TdApi.ChatNotificationSettings notificationSettings
Notification settings for the topic.

### draftMessage

public TdApi.DraftMessage draftMessage
A draft of a message in the topic; may be null if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ForumTopic

public ForumTopic()
Describes a forum topic.

### ForumTopic

public ForumTopic(TdApi.ForumTopicInfo info, TdApi.Message lastMessage, boolean isPinned, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, int unreadReactionCount, TdApi.ChatNotificationSettings notificationSettings, TdApi.DraftMessage draftMessage)
Describes a forum topic.

Parameters:
  `info` - Basic information about the topic.
  `lastMessage` - Last message in the topic; may be null if unknown.
  `isPinned` - True, if the topic is pinned in the topic list.
  `unreadCount` - Number of unread messages in the topic.
  `lastReadInboxMessageId` - Identifier of the last read incoming message.
  `lastReadOutboxMessageId` - Identifier of the last read outgoing message.
  `unreadMentionCount` - Number of unread messages with a mention/reply in the topic.
  `unreadReactionCount` - Number of messages with unread reactions in the topic.
  `notificationSettings` - Notification settings for the topic.
  `draftMessage` - A draft of a message in the topic; may be null if none.

### ForumTopic

public ForumTopic(DataInput input) throws IOException
Describes a forum topic.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`